<?php
/**
 * Settings metadata for siedeployer plugin
 */

$meta['server_base_path'] = array('string');
$meta['token_api_url'] = array('string');
$meta['token_api_key'] = array('string');

// cPanel/WHM HTTP API fallback
$meta['cpanel_api_token'] = array('password');
$meta['whm_api_token'] = array('password');
$meta['whm_api_user'] = array('string');
$meta['cpanel_port'] = array('numeric');
$meta['whm_port'] = array('numeric');
